Function
valueConstructMove
Move constructs an object at specified position.
valueConstructMove(iterator, param)
Include Headers
seqan/basic.h
Parameters

iterator | Pointer or iterator to position where the object should be constructed.
param | Parameter that is moved to the new constructed object.

Remarks
The type of the destructed object is the value type of iterator.
The default implementation just calls valueConstruct.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49